> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get all payment addresses associated with a specific Cardano stake account for wallet management.

# Stake account addresses



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /accounts/{stake_addr}/addresses
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /accounts/{stake_addr}/addresses:
    get:
      tags:
        - Accounts
      summary: Stake account addresses
      description: >-
        Returns a list of addresses seen on-chain which use the specified stake
        key. By default returns addresses which currently control at least one
        UTxO, or use `include_empty` query parameter to also return addresses
        which don't currently control any UTxOs.
      operationId: account_addresses
      parameters:
        - name: stake_addr
          in: path
          description: Bech32 encoded stake/reward address ('stake1...')
          required: true
          schema:
            type: string
        - name: include_empty
          in: query
          description: Include addresses that have been seen on-chain but have no balance
          required: false
          schema:
            type: boolean
            nullable: true
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Addresses seen on-chain which contain the specified stake key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAddress'
              example:
                data:
                  - >-
                    addr_test1qpshevet4xrh7h2rr7pm3r7ysn8x9hk5gek9xvm6du3yl6upahs8fhhy49jqqnfn6vvmtq6yeqypx645ex9fxexlh36q9scvx8
                last_updated:
                  timestamp: '2022-10-10 20:25:28'
                  block_hash: >-
                    bbd15af995f81cf22e559679865d5a0fb1ba348559cf88e07686234e499859c4
                  block_slot: 32208435
                next_cursor: null
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedAddress:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Address'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    Address:
      type: string
      description: Bech32-encoded Cardano Address
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````